ChangeSet 1.1288, 2003/06/04 17:40:42-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in arch/ppc/platforms/chrp_pci.c


 arch/ppc/platforms/chrp_pci.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/arch/ppc/platforms/chrp_pci.c b/arch/ppc/platforms/chrp_pci.c
--- a/arch/ppc/platforms/chrp_pci.c	Wed Jun  4 18:07:28 2003
+++ b/arch/ppc/platforms/chrp_pci.c	Wed Jun  4 18:07:28 2003
@@ -154,11 +154,11 @@
 void __init
 chrp_pcibios_fixup(void)
 {
-	struct pci_dev *dev;
+	struct pci_dev *dev = NULL;
 	struct device_node *np;
 
 	/* PCI interrupts are controlled by the OpenPIC */
-	pci_for_each_dev(dev) {
+	while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL) {
 		np = pci_device_to_OF_node(dev);
 		if ((np != 0) && (np->n_intrs > 0) && (np->intrs[0].line != 0))
 			dev->irq = np->intrs[0].line;
